import SystemMessage from './system-message';
declare type GetBaseApplicationPropertiesMessageType = 'G$:get-base-application-properties';
declare type GetApplicationPropertiesMessageType = 'G$:get-application-properties';
export declare const GET_BASE_APPLICATION_PROPERTIES_MESSAGE_TYPE: GetBaseApplicationPropertiesMessageType;
export declare const GET_APPLICATION_PROPERTIES_MESSAGE_TYPE: GetApplicationPropertiesMessageType;
export interface GetBaseApplicationPropertiesMessage extends SystemMessage {
    type: GetBaseApplicationPropertiesMessageType;
    payload: string;
}
export interface GetApplicationPropertiesMessage extends SystemMessage {
    type: GetApplicationPropertiesMessageType;
}
export interface BaseApplicationProperties {
    applicationVersion?: string;
    applicationFullId: string;
    applicationName?: string;
    applicationIconClass?: string;
    applicationIconFile?: string;
    applicationDomain?: string;
    aboutFile?: string;
    parameters?: Array<any>;
    action?: string;
    pathname: string;
}
export interface ApplicationProperties extends BaseApplicationProperties {
    applicationVersion: string;
    applicationName: string;
    applicationIconClass: string;
    applicationIconFile: string;
    applicationDomain: string;
    aboutFile: string;
    parameters: Array<any>;
    action: string;
    isApplicationHome: boolean;
    resourcePath: string;
}
export interface BaseApplicationPropertiesMessage extends SystemMessage {
    type: 'G$:base-application-properties';
    payload: BaseApplicationProperties;
}
export interface ApplicationPropertiesMessage extends SystemMessage {
    type: 'G$:application-properties';
    payload: ApplicationProperties;
}
export {};
