import { JSONValue } from './json-value';
import SystemMessage from './system-message';
declare type MethodInvocationMessageType = 'G$:invoke-method';
export declare const METHOD_INVOCATION_MESSAGE_TYPE: MethodInvocationMessageType;
declare type ApplicationId = string;
/**
 * @property applicationId      Id of application in format "vendor/application"
 * @property method             Application method name
 * @property parameters         A list of parameters that method accepts
 * @property showBusyIndicator  If true,  a *global* busy indicator will be shown
 * @property extendSession      If true, this method call will extend current user session
 */
export interface MethodInvocationPayload {
    applicationId: ApplicationId;
    method: string;
    parameters: Array<JSONValue>;
    /** @default false **/
    showBusyIndicator?: boolean;
    /** @default true **/
    extendSession?: boolean;
}
export interface MethodInvocationMessage extends SystemMessage {
    type: MethodInvocationMessageType;
    payload: MethodInvocationPayload;
}
export interface ResolutionMessage extends SystemMessage {
    type: 'G$:invoke-message-success';
    payload: any;
}
export interface InvocationErrorMessage extends SystemMessage {
    type: 'G$:invoke-message-error';
    payload: any;
    error: true;
}
export {};
